Lists the files in a Case Room's folders (cursor-paged, newest first).

​

Example

GET /api/v1/projects/42/rooms/7/files

Path Parameters

  • Project ID

  • Room ID

Query Parameters

  • Number of files per page (1-500, default 500)

  • Opaque cursor token from a previous response for pagination

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/projects/{id}/rooms/{roomId}/files
curl 'https://app.propstreet.com/api/v1/projects/{id}/rooms/{roomId}/files' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "fileName": "string",
      "contentType": "string",
      "contentLength": 1,
      "uploadedUtc": "2026-10-16T16:23:10.054Z",
      "url": "string",
      "uploadedBy": {
        "id": "string",
        "name": "string"
      },
      "source": {
        "kind": "string",
        "refId": null,
        "label": null,
        "projectId": null,
        "projectName": null
      }
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": 1,
    "hasMore": true
  }
}